Module java.corba
Package org.omg.CORBA

## Interface IRObject

All Superinterfaces:
  IDLEntity, IRObjectOperations, Object, Serializable

All Known Subinterfaces:
  IDLType

All Known Implementing Classes:
  _IDLTypeStub

    public interface IRObject
    extends IRObjectOperations, Object, IDLEntity

An IRObject IDL interface represents the most generic interface from which all other Interface Repository interfaces are derived, even the Repository itself.

### Method Summary

### Methods inherited from interface org.omg.CORBA.IRObjectOperations

`def_kind, destroy`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`